## moc 0.5-9

=== DESCRIPTION ===
Package: moc
Version: 0.5-9
Date: 2001/09
Title: General Nonlinear Mixtures of Curves.
Author: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
Maintainer: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
Depends: 
Description: Fits a variety of mixtures models for multivariate observations 
 with user-difined distributions and curves.
License: GPL version 2 or newer

## moc 0.6-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: moc
-Version: 0.5-9
-Date: 2001/09
+Version: 0.6-3
+Date: 2002/06
 Title: General Nonlinear Mixtures of Curves.
 Author: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
 Maintainer: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>

## moc 0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: moc
-Version: 0.6-3
-Date: 2002/06
+Version: 0.7
+Date: 2002/09
 Title: General Nonlinear Mixtures of Curves.
 Author: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
 Maintainer: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>

## moc 0.8

=== DESCRIPTION ===
Package: moc
Version: 0.8
Date: 2003/03
Title: General Nonlinear Mixtures of Curves.
Author: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
Maintainer: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
Depends: 
Description: Fits a variety of mixtures models for multivariate observations 
 with user-defined distributions and profiles.
License: GPL version 2 or newer

## moc 0.8-2

=== DESCRIPTION ===
Package: moc
Version: 0.8-2
Date: 2003-10-15
Title: GENERAL NONLINEAR MIXTURES OF CURVES
Author: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
Maintainer: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
Depends: 
Description: Fits a variety of mixtures models for multivariate observations 
 with user-defined distributions and profiles.
License: GPL (version 2 or later, see the included file GPL)

## moc 0.8-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: moc
-Version: 0.8-2
-Date: 2003-10-15
+Version: 0.8-4
+Date: 2004-02-02
 Title: GENERAL NONLINEAR MIXTURES OF CURVES
 Author: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>
 Maintainer: Bernard Boulerice <Bernard.Boulerice@umontreal.ca>

## moc 1.0.0

=== DESCRIPTION ===
Package: moc
Version: 1.0.0
Date: 2005-01-02
Title: GENERAL NONLINEAR MIXTURES OF CURVES
Author: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Maintainer: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Depends: 
Description: Fits a variety of mixtures models for multivariate observations 
 with user-defined distributions and profiles.
License: GPL (version 2 or later, see the included file GPL)
Packaged: Wed Feb  9 12:44:50 2005; root

## moc 1.0.1

=== DESCRIPTION ===
Package: moc
Version: 1.0.1
Date: 2005-09-28
Title: GENERAL NONLINEAR MIXTURES OF CURVES
Author: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Maintainer: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Depends: 
Description: Fits a variety of mixtures models for multivariate observations 
 with user-defined distributions and profiles.
License: GPL (version 2 or later, see the included file GPL)
Packaged: Wed Oct 12 15:39:53 2005; root

## moc 1.0.5

=== DESCRIPTION ===
Package: moc
Version: 1.0.5
Date: 2008-03-30
Title: GENERAL NONLINEAR MIXTURES OF CURVES
Author: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Maintainer: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Depends: 
Description: Fits a variety of mixtures models for multivariate observations 
 with user-defined distributions and profiles.
License: GPL (version 2 or later, see the included file GPL)
Packaged: Thu May 29 01:08:48 2008; root

## moc 1.0.5.1

=== DESCRIPTION ===
Package: moc
Version: 1.0.5.1
Date: 2008-03-30
Title: GENERAL NONLINEAR MIXTURES OF CURVES
Author: Bernard Boulerice <Bernard.Boulerice@sympatico.ca>
Maintainer: ORPHANED
Depends:
Description: Fits a variety of mixtures models for multivariate
        observations with user-defined distributions and profiles.
License: GPL (>= 2)
Packaged: 2012-10-29 08:59:13 UTC; ripley
Repository: CRAN
Date/Publication: 2012-10-29 08:59:13

## moc 2.0

=== DESCRIPTION ===
Package: moc
Version: 2.0
Date: 2019-02-15
Title: General Nonlinear Multivariate Finite Mixtures
Authors@R: person("Bernard", "Boulerice",
	   email = "bernard.boulerice.bb@gmail.com",
	   role = c("aut","cre"))
Depends: R (>= 3.5.0)
Description: Fits and vizualize user defined finite mixture models for multivariate observations 
 using maximum likelihood. (McLachlan, G., Peel, D. (2000) Finite Mixture Models. Wiley-Interscience.)
License: GPL-2
NeedsCompilation: yes
Packaged: 2019-02-28 19:40:12 UTC; root
Author: Bernard Boulerice [aut, cre]
Maintainer: Bernard Boulerice <bernard.boulerice.bb@gmail.com>
Repository: CRAN
Date/Publication: 2019-02-28 22:32:16 UTC

## moc 2.5.0~alpha4+svn20110823

=== debian/changelog ===
moc (1:2.5.0~alpha4+svn20110823-1) unstable; urgency=low

  * Update to svn r2362
    _ Fix compile error with LibAV (where CODEC_TYPE_AUDIO is no longer
      defined). Partially closes: #638250 Some deprecated warnings have been
      left but will be fixed in the near future.
  * Build Depends of [linux-any] instead of a negated list of architectures.
    (closes: #634611)
  * Drop patches/external/05_sidbig.patch. Implied from upstream.
  * Switched to source compression gzip
  * Bump to debhelper compat v8.
  * Build-Depend on debhelper 8.1.3.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 03 Sep 2011 15:04:26 +0200

moc (1:2.5.0~alpha4+svn20110419-1) unstable; urgency=low

  * Update to svn r2300
    - Doesn't crash when leaving the UI. (closes: #611038)
  * Upload to unstable.
  * Don't use $(CLAGS)
  * Bumped Standards-Version to 3.9.2. No changes needed.
  * Mentioned the "FATAL_ERROR: Can't send() int to the server" fix in
    README.Debian (closes: #568567)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 17 Apr 2011 01:03:18 +0200

moc (1:2.5.0~alpha4+svn20100921-1) experimental; urgency=low

  * Update to svn r2250.
  * Delete rpath from /usr/lib/moc/decoder_plugins/libsidplay2_decoder.so. No
    lintian override needed anymore. Added chrpath to the Build-Depends:
  * Added libmagic-dev to provide MIME detection and support for regular files.
    It is used to determine the format of audio files.
  * Added libxml2-dev to the Build-Depends:
  * Make the source ${misc:Depends} in control file
  * Delete ltmain.sh in rules clean target.
  * Use dh_lintian to install overrides.
  * Correct typos in manpage. Thanks A. Costa (closes: #550925)
  * Compiled against libjack-jackd2-dev.
  * Enabled auto converting codepages by librcc-dev and libaspell-dev.
  * Switched to source version 3.0 (quilt)
  * Bumped Standards-Version to 3.9.1. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 25 Sep 2010 16:39:23 +0200

moc (1:2.5.0~alpha4+svn20091009-1) unstable; urgency=low

  * Update to svn r2206.
    This is 2.5.0~alpha4 + 7 commits-
    - --seek option doesn't segfault anymore. It is described in manpage now.
      (closes: #547680)
    - Fix segfault when trying to play a file using ffmpeg, use newer ffmpeg()
      API. Hopefully (closes: #530373)
    - Fix problem with incompatible MOC tags cache version by writing a version
      file in the cache directory and purging the cache at startup in case of an
      incompatible version. User doesn't need to remove cache in case of
      "FATAL_ERROR: Can't receive value from the server." (closes: #546361)
  * Don't install unneeded .la files.
  * Added Readme.source
  * Bumped Standards-Version to 3.8.3. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 27 Sep 2009 16:21:43 +0200

moc (1:2.5.0~alpha3+svn20090611-1) unstable; urgency=low

  * Update to svn r2153.
    - scanning etech.mp3 now works. (closes: #510542)
    - Fix compatibility with newer ffmpeg: new avcodec_decode_audio2(). Done in
      svn r2144. (closes: #530373)
    - Ported to new libmpcdec API (closes: #476371)
    - libtoolize run in autogen.sh to prevent conflicts with installed
      libtool/libltdl version. (closes: #536953)
  * BuildDepends now on libjack-dev. (closes: #527426)
  * Bumped Standards-Version to 3.8.2. No changes needed.
  * Removed 07-tags-cache-64-fix-1.patch. Applied from upstream.
  * Added patch descriptions.
  * Patched mocp.1 to interpret - as minus by /-  for groff.
  * Build Depends: switched from libltdl3-dev to unversioned libltdl-dev.
  * Removed Bartosz Fenski from Uploaders.
  * Added Nico Golde to Uploaders.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 18 Jul 2009 15:14:16 +0200

moc (1:2.5.0~alpha3+svn20080629-2) unstable; urgency=low

  * Introduced 07-tags-cache-64-fix-1.patch:
    - Fixes a bug using libdb as cache on 64 bit systems. Thanks Damian Pietras.
    - Introduced News file.
    - To get this version working ~/.moc/cache has to be deleted before the
      first run of mocp.(closes: #489804, #494179)
  * Please port to new libmpcdec API: Done upstream. But we have to wait until
    new version of libmpcdec6 has entered unstable (closes: #466652)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 10 Aug 2008 13:15:33 +0200

moc (1:2.5.0~alpha3+svn20080629-1) unstable; urgency=low

  * Update to svn HEAD, builds with aac-plugin.
    Added libfaad-dev to Build-Depends. (closes: #448068)
  * Get rid of ffmpeg-config via rules. (closes: #487919)
  * Let ffmpeg handle m4a via 03_aac_no_m4a.patch
  * Added libdb-dev to Build-Depends.
    - Tags cache using BerkeleyDB for better perfomance, reliability and smaller
      memory usage. Not yet finished - there is no limit for the cache size.
  * Added gettext and cvs to Build-Depends to run autopoint.
  * Adjusted copyright period in debian/copyright

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 29 Jun 2008 15:57:45 +0200

moc (1:2.5.0~alpha3-3) unstable; urgency=low

  * Redefined default "Layout1" setting via options.c (closes: #485059, #487205)
  * Dumped Standards-Version to 3.8.0. No changes needed.
  * Set compat level to 7.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 21 Jun 2008 02:08:47 +0200

moc (1:2.5.0~alpha3-2) unstable; urgency=low

  * Added libdts-dev to BuilDepends. (closes: #482224)
  * Build against new ffmpeg-free. ffmpeg flavours now all recognized ;)
  * Run dpkg-shlibdeps with --warnings=0. Plugins reference symbols from source
    package and other symbols. That's not a bug, so we want dpkg-shlibdeps to
    shut up about warnings.
  * Build-depend on dpkg-dev >= 1.14.17 for dpkg-shlibdeps --warnings

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 24 May 2008 15:14:55 +0200

moc (1:2.5.0~alpha3-1) unstable; urgency=low

  * The community release
    - New upstream alpha release with community patches.
  * Switched to compat 6.
  * Bumped standard to 3.7.3. No changes needed.


=== debian/control ===
Source: moc
Section: sound
Priority: optional
Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
Uploaders: Nico Golde <nion@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8.1.13), chrpath, libncurses5-dev,
 libncursesw5-dev, libasound2-dev [linux-any],
 libvorbis-dev (>= 1.1.0), libmad0-dev, libid3tag0-dev, zlib1g-dev,
 libsndfile1-dev, libflac-dev (>= 1.1.4-3), libogg-dev (>=1.1.2),
 libsamplerate0-dev, libspeex-dev, libmpcdec-dev, libsidplay2-dev,
 libsidutils-dev, libresid-builder-dev, libwavpack-dev, libtagc0-dev,
 libjack-jackd2-dev, libcurl4-gnutls-dev, libavcodec-dev, libavformat-dev,
 libltdl-dev, libtool, libmodplug-dev, automake, autoconf, libdts-dev,
 libfaad-dev, libdb-dev, cvs, dpkg-dev (>= 1.14.17), libmagic-dev,
 librcc-dev, libaspell-dev, libxml2-dev
Homepage: http://moc.daper.net

Package: moc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: moc-ffmpeg-plugin
Description: ncurses based console audio player
 moc (music on console) is a full-screen player designed to be powerful
 and easy to use.
 .
 Supported file formats are: MP3, OGG Vorbis, FLAC, WAVE, SPEEX, Musepack (MPC),
 AIFF, AU, WMA (and other less popular formats supported by libsndfile).
 New formats support is under development.
 .
 Other features: simple mixer, colour themes, searching the menu (the playlist
 or a directory) like M-s in Midnight Commander, the way MOC creates titles
 from tags is configurable, optional character set conversion for file tags
 using iconv(), OSS or ALSA output.


Package: moc-ffmpeg-plugin
Architecture: any
Depends: ${shlibs:Depends}, moc (= ${binary:Version}), ${misc:Depends}
Description: ncurses based console audio player - ffmpeg plugin
 Plugin to play soundfiles out of the ffmpeg libs like WMA,
 RealAudio, MP4 and AAC.

## moc 2.5.0~alpha4+svn20111012

=== debian/changelog ===
moc (1:2.5.0~alpha4+svn20111012-1) unstable; urgency=low

  * Updated to svn r2363
    - fix miscoloured frame when switching themes.
  * Applied 06_moc-r2363+allow_ogg_streams.patch (closes: 645312)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 15 Oct 2011 14:42:17 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/quilt/quilt.make

export DH_OPTIONS=
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure-stamp:
	dh_testdir
	#ln -s /usr/share/misc/config.sub config.sub
	#ln -s /usr/share/misc/config.guess config.guess
	#mkdir -p libltdl/config
	./autogen.sh
	./configure \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man
	touch configure-stamp


build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE) \
	#libavformat_CFLAGS=`pkg-config --cflags libavformat` \
	#libavformat_LIBS=`pkg-config --libs libavformat`
	touch build-arch-stamp


build-arch: DH_OPTIONS=-a
build-arch: build-arch-stamp

install-arch: build-arch-stamp
	rm -f config.log
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_installdirs
	#dh_lintian
	dh_install
	dh_installdocs -Xkeymap.example -Xconfig.example AUTHORS README THANKS TODO
	dh_installexamples config.example keymap.example
	#remove rpath from /usr/lib/moc/decoder_plugins/libsidplay2_decoder.so
	chrpath -d $(CURDIR)/debian/moc/usr/lib/moc/decoder_plugins/libsidplay2_decoder.so
	dh_installmenu
	dh_installman
	dh_installchangelogs NEWS
	dh_strip
	dh_link
	dh_compress
	dh_fixperms

binary-arch: DH_options=-a
binary-arch: install-arch
	dh_installdeb
	dh_shlibdeps -- --warnings=0
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-arch

binary-indep:

build:
	@echo "*** Nothing to do for build target ***"

clean:  
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f *-stamp
	#-rm -f config.sub config.guess config.status config.cache config.log
	-rm -rf ABOUT-NLS Makefile.in aclocal.m4 autom4te.cache config.guess config.log
	-rm -rf config.h.in config.rpath config.sub configure depcomp install-sh missing
	-rm -rf libltdl ltmain.sh
	dh_clean

.PHONY: configure build-arch build-indep build install-arch install-indep binary-arch binary-indep binary clean stampdir prepare unpack

## moc 2.5.0~alpha4+svn20120224

=== debian/changelog ===
moc (1:2.5.0~alpha4+svn20120224-1) unstable; urgency=low

  * Update to svn r2410
    - Totally overhauled ffmpeg plugin
    - Adapt to Debian's changes to sidplay2.pc.
      Also see: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524250
      and changelog.gz. Many thanks to John Fitzgerald.
  * Install svn log as sources changelog.
  * Run autoreconf via dh_autoreconf instead of autotool.sh.
  * Don't install examples twice.
  * Removed 03_aac_no_m4a.patch. Applied from upstream.
  * Removed 00_moc-r2372+warnings.patch. Applied from upstream.
  * Introduce 02_moc-r2410+debian_sidplay2-4.patch to fix the build against new
    libsidplay2-dev 2.1.1-12 where all the .la files were gone.
  * Introduce 03_moc-r2410+null_extn-2.patch to allow lyric files have NULL
    extension (filename just dotted at the end). (closes: #659745)
  * Reworked 06_moc-r2363+allow_ogg_streams.patch to
    01_moc-r2410+allow_ogg_streams-2.patch.
  * Clean up rules.
  * Bump to debhelper compat v9.
  * Bumped Standards-Version to 3.9.3. No changes needed.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 24 Feb 2012 10:56:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.13), chrpath, libncurses5-dev,
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
  libncursesw5-dev, libasound2-dev [linux-any],
  libvorbis-dev (>= 1.1.0), libmad0-dev, libid3tag0-dev, zlib1g-dev,
- libsndfile1-dev, libflac-dev (>= 1.1.4-3), libogg-dev (>=1.1.2),
+ libsndfile1-dev, libflac-dev (>> 1.1.4), libogg-dev (>= 1.1.2),
  libsamplerate0-dev, libspeex-dev, libmpcdec-dev, libsidplay2-dev,
  libsidutils-dev, libresid-builder-dev, libwavpack-dev, libtagc0-dev,
  libjack-jackd2-dev, libcurl4-gnutls-dev, libavcodec-dev, libavformat-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,7 @@
 
 configure-stamp:
 	dh_testdir
-	#ln -s /usr/share/misc/config.sub config.sub
-	#ln -s /usr/share/misc/config.guess config.guess
-	#mkdir -p libltdl/config
-	./autogen.sh
+	dh_autoreconf
 	./configure \
 	--prefix=/usr \
 	--mandir=\$${prefix}/share/man
@@ -32,9 +29,7 @@
 
 build-arch-stamp: configure-stamp
 	dh_testdir
-	$(MAKE) \
-	#libavformat_CFLAGS=`pkg-config --cflags libavformat` \
-	#libavformat_LIBS=`pkg-config --libs libavformat`
+	$(MAKE)
 	touch build-arch-stamp
 
 
@@ -48,15 +43,14 @@
 	dh_prep
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	dh_installdirs
-	#dh_lintian
-	dh_install
-	dh_installdocs -Xkeymap.example -Xconfig.example AUTHORS README THANKS TODO
+	dh_install -Xkeymap.example -Xconfig.example
+	dh_installdocs AUTHORS README THANKS TODO
 	dh_installexamples config.example keymap.example
 	#remove rpath from /usr/lib/moc/decoder_plugins/libsidplay2_decoder.so
 	chrpath -d $(CURDIR)/debian/moc/usr/lib/moc/decoder_plugins/libsidplay2_decoder.so
 	dh_installmenu
 	dh_installman
-	dh_installchangelogs NEWS
+	dh_installchangelogs debian/changelog.svn
 	dh_strip
 	dh_link
 	dh_compress
@@ -82,11 +76,7 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	-rm -f *-stamp
-	#-rm -f config.sub config.guess config.status config.cache config.log
-	-rm -rf ABOUT-NLS Makefile.in aclocal.m4 autom4te.cache config.guess config.log
-	-rm -rf config.h.in config.rpath config.sub configure depcomp install-sh missing
-	-rm -rf libltdl ltmain.sh
+	dh_autoreconf_clean
 	dh_clean
 
 .PHONY: configure build-arch build-indep build install-arch install-indep binary-arch binary-indep binary clean stampdir prepare unpack

## moc 2.5.0~beta1+svn20130411

=== debian/changelog ===
moc (1:2.5.0~beta1+svn20130411-1build1) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 02 Nov 2013 17:15:45 +0000

moc (1:2.5.0~beta1+svn20130411-1) unstable; urgency=low

  * Update to svn r2529
  * Bumped Standards-Version: 3.9.4. No changes.
  * Upload to unstable since Wheezy is released now.
  * Fix a FTBS on arm in LRINTF. The fix was implemented from upstream in r2424
    already. (closes: 670235)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 18 May 2013 17:52:09 +0200

moc (1:2.5.0~beta1-1) experimental; urgency=low

  * New beta development release (svn r2507).
  * Introduced hardening via debian/rules.
  * But need to use an lintian overwrite.
  * Droped
    - 01_moc-r2410+allow_ogg_streams-2.patch
    - 02_moc-r2410+debian_sidplay2-4.patch
    - 03_moc-r2410+null_extn-2.patch
    - 04_moc-r2420+jack_client-3.patch
    Applied upstream.
  * Raised Build-Depends Version of dpkg-dev to >= 1.16.1~.
  * Removed cvs from Build-Depends. It is useless for moc.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 15 Oct 2012 21:29:22 +0200

moc (1:2.5.0~alpha4+svn20120416-1) unstable; urgency=low

  * Update to svn r2420.
  * Introduced moc-r2420+jack_client-3.patch.gz

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 16 Apr 2012 16:23:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: moc
 Section: sound
 Priority: optional
-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
  libncursesw5-dev, libasound2-dev [linux-any],
  libvorbis-dev (>= 1.1.0), libmad0-dev, libid3tag0-dev, zlib1g-dev,
@@ -12,7 +13,7 @@
  libsidutils-dev, libresid-builder-dev, libwavpack-dev, libtagc0-dev,
  libjack-jackd2-dev, libcurl4-gnutls-dev, libavcodec-dev, libavformat-dev,
  libltdl-dev, libtool, libmodplug-dev, automake, autoconf, libdts-dev,
- libfaad-dev, libdb-dev, cvs, dpkg-dev (>= 1.14.17), libmagic-dev,
+ libfaad-dev, libdb-dev, dpkg-dev (>= 1.16.1~), libmagic-dev,
  librcc-dev, libaspell-dev, libxml2-dev
 Homepage: http://moc.daper.net

## moc 2.5.0~beta1+svn20131120

=== debian/changelog ===
moc (1:2.5.0~beta1+svn20131120-1) unstable; urgency=low

  * Update to svn 2583
  * Implement native Opus support via d/p/01_moc-r2583+opus.patch
    from Tomasz Golinski as libav doesn't support Opus files yet. Thanks!
    Adjusted control accordingly.
  * Added libopusfile-dev to the Build-Depends.
  * Remove unused lintian overrides.
  * Adjusted watch file.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 25 Oct 2013 09:14:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: moc
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
+Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
 Standards-Version: 3.9.4
 Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
- libncursesw5-dev, libasound2-dev [linux-any],
- libvorbis-dev (>= 1.1.0), libmad0-dev, libid3tag0-dev, zlib1g-dev,
+ libncursesw5-dev, libasound2-dev [linux-any], libvorbis-dev (>= 1.1.0),
+ libopusfile-dev, libmad0-dev, libid3tag0-dev, zlib1g-dev,
  libsndfile1-dev, libflac-dev (>> 1.1.4), libogg-dev (>= 1.1.2),
  libsamplerate0-dev, libspeex-dev, libmpcdec-dev, libsidplay2-dev,
  libsidutils-dev, libresid-builder-dev, libwavpack-dev, libtagc0-dev,
  libjack-jackd2-dev, libcurl4-gnutls-dev, libavcodec-dev, libavformat-dev,
  libltdl-dev, libtool, libmodplug-dev, automake, autoconf, libdts-dev,
- libfaad-dev, libdb-dev, dpkg-dev (>= 1.16.1~), libmagic-dev,
- librcc-dev, libaspell-dev, libxml2-dev
+ libfaad-dev, libdb-dev, dpkg-dev (>= 1.16.1~), libmagic-dev, librcc-dev,
+ libaspell-dev, libxml2-dev
 Homepage: http://moc.daper.net
 
 Package: moc
@@ -25,8 +24,8 @@
  moc (music on console) is a full-screen player designed to be powerful
  and easy to use.
  .
- Supported file formats are: MP3, OGG Vorbis, FLAC, WAVE, SPEEX, Musepack (MPC),
- AIFF, AU, WMA (and other less popular formats supported by libsndfile).
+ Supported file formats are: MP3, OGG Vorbis, FLAC, OPUS, WAVE, SPEEX, Musepack
+ (MPC), AIFF, AU, WMA (and other less popular formats supported by libsndfile).
  New formats support is under development.
  .
  Other features: simple mixer, colour themes, searching the menu (the playlist

=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,12 @@
 export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-CFLAGS = -Wall
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 configure-stamp:
@@ -52,6 +51,7 @@
 	dh_installman
 	dh_installchangelogs debian/changelog.svn
 	dh_strip
+	dh_lintian
 	dh_link
 	dh_compress
 	dh_fixperms
@@ -75,7 +75,7 @@
 clean:  
 	dh_testdir
 	dh_testroot
-	[ ! -f Makefile ] || $(MAKE) distclean
+	#[ ! -f Makefile ] || $(MAKE) distclean
 	dh_autoreconf_clean
 	dh_clean

=== debian/watch ===
version=3
http://ftp.daper.net/pub/soft/moc/stable/moc-(.+)\.tar\.bz2 \
  debian  uupdate

## moc 2.5.0~beta2

=== debian/changelog ===
moc (1:2.5.0~beta2-1build2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:22:18 +0100

moc (1:2.5.0~beta2-1build1) utopic; urgency=medium

  * No-change rebuild against libav10.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 11 Jun 2014 22:14:42 -0400

moc (1:2.5.0~beta2-1) unstable; urgency=medium

  * Update to svn 2604 which is indeed released as 2.5.0-beta2.
  * Bumped Standards-Version: 3.9.5. No changes.
  * Added pgpsigurlmangle to the watchfile. Created
    debian/upstream-signing-key.pgp accordingly.
  * Make moc-ffmpeg-plugin's description more precise.
  * Switched to xz compression in debian/source/options.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 08 Feb 2014 21:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
  libncursesw5-dev, libasound2-dev [linux-any], libvorbis-dev (>= 1.1.0),
  libopusfile-dev, libmad0-dev, libid3tag0-dev, zlib1g-dev,
@@ -39,5 +39,6 @@
 Depends: ${shlibs:Depends}, moc (= ${binary:Version}), ${misc:Depends}
 Description: ncurses based console audio player - ffmpeg plugin
  Plugin to play soundfiles out of the ffmpeg libs like WMA,
- RealAudio, MP4 and AAC.
+ RealAudio, MP4 and AAC. This plugin is extracted as a separated package to run
+ moc ffmpeg independently.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
http://ftp.daper.net/pub/soft/moc/stable	moc-(.*)\.tar\.bz2	debian	uupdate

## moc 2.5.0

=== debian/changelog ===
moc (1:2.5.0-1) unstable; urgency=low

  * Update to svn r2670 which is the new stable release 2.5.0.
  * Assign "Switch on/off play time percentage" to <CTRL>p.
  * Refreshed opus patches.
  * Install NEWS as changelog.gz. It is now an up to date upstream changelog
    for 2.5.0.
  * Added pgpsigurlmangle to the watch file. Corrected URL in the watch file.
  * Adjusted copyright according to "mocp --verion".

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 01 Sep 2014 13:17:07 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  and easy to use.
  .
  Supported file formats are: MP3, OGG Vorbis, FLAC, OPUS, WAVE, SPEEX, Musepack
- (MPC), AIFF, AU, WMA (and other less popular formats supported by libsndfile).
+ (MPC), AIFF, AU (and other less popular formats supported by libsndfile).
  New formats support is under development.
  .
  Other features: simple mixer, colour themes, searching the menu (the playlist
@@ -39,6 +39,5 @@
 Depends: ${shlibs:Depends}, moc (= ${binary:Version}), ${misc:Depends}
 Description: ncurses based console audio player - ffmpeg plugin
  Plugin to play soundfiles out of the ffmpeg libs like WMA,
- RealAudio, MP4 and AAC. This plugin is extracted as a separated package to run
- moc ffmpeg independently.
+ RealAudio, MP4 and AAC.

=== debian/rules ===
--- 
+++ 
@@ -49,7 +49,8 @@
 	chrpath -d $(CURDIR)/debian/moc/usr/lib/moc/decoder_plugins/libsidplay2_decoder.so
 	dh_installmenu
 	dh_installman
-	dh_installchangelogs debian/changelog.svn
+	#dh_installchangelogs debian/changelog.svn
+	dh_installchangelogs NEWS
 	dh_strip
 	dh_lintian
 	dh_link

## moc 2.6.0~svn-r2788

=== debian/changelog ===
moc (1:2.6.0~svn-r2788-1) unstable; urgency=medium

  * Update to svn r2788
    - Upstream applied a slightly modified patch from Andreas Cadhalpun to
      prevent a FTBFS with FFmpeg 2.9. Thanks Andreas! (closes: 803842)
  * Added libpopt-dev to Build-Depends.
  * Switched to dh in debian/rules.
  * Adjusted copyright to copyright-format/1.0.
  * Use svn log as upstream changelog again.
  * Remove debian/source/options.
  * We don't need debuging binaries. Don't build them.
  * Bumped Standards-Version: 3.9.6. No changes.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 08 Feb 2015 11:24:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
  libncursesw5-dev, libasound2-dev [linux-any], libvorbis-dev (>= 1.1.0),
  libopusfile-dev, libmad0-dev, libid3tag0-dev, zlib1g-dev,
@@ -13,7 +13,7 @@
  libjack-jackd2-dev, libcurl4-gnutls-dev, libavcodec-dev, libavformat-dev,
  libltdl-dev, libtool, libmodplug-dev, automake, autoconf, libdts-dev,
  libfaad-dev, libdb-dev, dpkg-dev (>= 1.16.1~), libmagic-dev, librcc-dev,
- libaspell-dev, libxml2-dev
+ libaspell-dev, libxml2-dev, libpopt-dev
 Homepage: http://moc.daper.net
 
 Package: moc
@@ -38,6 +38,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, moc (= ${binary:Version}), ${misc:Depends}
 Description: ncurses based console audio player - ffmpeg plugin
- Plugin to play soundfiles out of the ffmpeg libs like WMA,
- RealAudio, MP4 and AAC.
+ moc (music on console) is a full-screen player designed to be powerful
+ and easy to use.
+ .
+ moc-ffmpeg-plugin is an additional plugin to play soundfiles out of the ffmpeg
+ libs like WMA, RealAudio, MP4 and AAC.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf



override_dh_install:
	dh_install -Xkeymap.example -Xconfig.example

override_dh_installdocs:
	dh_installdocs AUTHORS README THANKS TODO

override_dh_installexamples:
	dh_installexamples config.example keymap.example

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.svn

override_dh_shlibdeps:
	dh_shlibdeps -- --warnings=0

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.sig/" \
http://ftp.daper.net/pub/soft/moc/stable	moc-(.*)\.tar\.bz2	debian	uupdate

## moc 2.6.0~svn-r2848

=== debian/changelog ===
moc (1:2.6.0~svn-r2848-1mx150+1) mx; urgency=medium

  * Non-maintainer upload.
  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Wed, 22 Jun 2016 21:28:08 -0500

moc (1:2.6.0~svn-r2848-1) unstable; urgency=medium

  * Update to svn r2848 which is released as 2.6-alpha2.
  * Bumped Standards-Version: 3.9.8. No changes.
  * Updated watch file to search in moc's unstable directory.
  * Removed a wrong statement in changelog about not building debugging
    binaries from last upload.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 01 May 2016 11:55:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: moc
 Section: sound
 Priority: optional
-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+XSBC-Original-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
-Standards-Version: 3.9.6
+Bugs: mailto: <maintainer@mepiscommunity.org>
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
  libncursesw5-dev, libasound2-dev [linux-any], libvorbis-dev (>= 1.1.0),
  libopusfile-dev, libmad0-dev, libid3tag0-dev, zlib1g-dev,

## moc 2.6.0~svn-r2935

=== debian/changelog ===
moc (1:2.6.0~svn-r2935-1) unstable; urgency=medium

  * This is release 2.6-alpha3 plus one commit from svn.
    (closes: 846316)
  * Includes a fix for the circumvent ALSA stutter bug. See
    http://moc.daper.net/node/692.
  * Refreshed opus patches.
  * Bumped debhelper compatibility level to >10.
  * Changed debian/compat accordingly.
  *  Remove --with autoreconf from calls to dh.
     With Debhelper compat level 10 the autoreconf sequence is enabled by
     default.
  * Drop Build-Depends on dh-autoreconf.
  * Removed version flags at lib(vorbis|ogg|flac)-dev. Needed versions are
    available in jessie.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 27 Nov 2016 11:55:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: moc
 Section: sound
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
+Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
 Uploaders: Nico Golde <nion@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-autoreconf, chrpath, libncurses5-dev,
- libncursesw5-dev, libasound2-dev [linux-any], libvorbis-dev (>= 1.1.0),
+Build-Depends: debhelper (>= 10), chrpath, libncurses5-dev,
+ libncursesw5-dev, libasound2-dev [linux-any], libvorbis-dev,
  libopusfile-dev, libmad0-dev, libid3tag0-dev, zlib1g-dev,
- libsndfile1-dev, libflac-dev (>> 1.1.4), libogg-dev (>= 1.1.2),
- libsamplerate0-dev, libspeex-dev, libmpcdec-dev, libsidplay2-dev,
- libsidutils-dev, libresid-builder-dev, libwavpack-dev, libtagc0-dev,
+ libsndfile1-dev, libflac-dev, libogg-dev, libsamplerate0-dev, 
+ libspeex-dev, libmpcdec-dev, libsidplay2-dev, libsidutils-dev, 
+ libresid-builder-dev, libwavpack-dev, libtagc0-dev, 
  libjack-jackd2-dev, libcurl4-gnutls-dev, libavcodec-dev, libavformat-dev,
  libltdl-dev, libtool, libmodplug-dev, automake, autoconf, libdts-dev,
  libfaad-dev, libdb-dev, dpkg-dev (>= 1.16.1~), libmagic-dev, librcc-dev,

## moc 2.6.0~svn-r2949

=== debian/changelog ===
moc (1:2.6.0~svn-r2949-2) unstable; urgency=medium

  * Set LC_MESSAGES=en_DK.utf8 to generate upstreams changelog via svn log.
    Thanks Adam Borowski for the hint.
  * Removed autoconf and automake from Build-Depends. With Debhelper compat
    level 10 the autoreconf sequence is enabled by default.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 19 Jun 2017 21:45:41 +0200

moc (1:2.6.0~svn-r2949-1) unstable; urgency=medium

  * Update to r2949
    - Based on Bernhard Übelackers patch in #855125 upstream fixed
      uninitialised padding bytes in the poptOption structure which meant that
      memcmp(3) did not compare equal on the end-of-table marker.
      (closes:855125)
  * As 2.6.0~svn-r2935-1 resides in stable now #850512 can safely be closed.
    (closes: 850512)
  * Bumped Standards-Version: 4.0.0. No changes.
  * Updated changelog.svn.
  * Run wrap-and-sort.
  * Refreshed 0002-Adapted-the-opus-patch-to-config.example.in.patch.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 19 Jun 2017 17:05:10 +0200

=== debian/control ===
Source: moc
Section: sound
Priority: optional
Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
Uploaders: Nico Golde <nion@debian.org>
Standards-Version: 4.0.0
Build-Depends: chrpath,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1~),
               libasound2-dev [linux-any],
               libaspell-dev,
               libavcodec-dev,
               libavformat-dev,
               libcurl4-gnutls-dev,
               libdb-dev,
               libdts-dev,
               libfaad-dev,
               libflac-dev,
               libid3tag0-dev,
               libjack-jackd2-dev,
               libltdl-dev,
               libmad0-dev,
               libmagic-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libncurses5-dev,
               libncursesw5-dev,
               libogg-dev,
               libopusfile-dev,
               libpopt-dev,
               librcc-dev,
               libresid-builder-dev,
               libsamplerate0-dev,
               libsidplay2-dev,
               libsidutils-dev,
               libsndfile1-dev,
               libspeex-dev,
               libtagc0-dev,
               libtool,
               libvorbis-dev,
               libwavpack-dev,
               libxml2-dev,
               zlib1g-dev
Homepage: http://moc.daper.net

Package: moc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: moc-ffmpeg-plugin
Description: ncurses based console audio player
 moc (music on console) is a full-screen player designed to be powerful
 and easy to use.
 .
 Supported file formats are: MP3, OGG Vorbis, FLAC, OPUS, WAVE, SPEEX, Musepack
 (MPC), AIFF, AU (and other less popular formats supported by libsndfile).
 New formats support is under development.
 .
 Other features: simple mixer, colour themes, searching the menu (the playlist
 or a directory) like M-s in Midnight Commander, the way MOC creates titles
 from tags is configurable, optional character set conversion for file tags
 using iconv(), OSS or ALSA output.

Package: moc-ffmpeg-plugin
Architecture: any
Depends: moc (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ncurses based console audio player - ffmpeg plugin
 moc (music on console) is a full-screen player designed to be powerful
 and easy to use.
 .
 moc-ffmpeg-plugin is an additional plugin to play soundfiles out of the ffmpeg
 libs like WMA, RealAudio, MP4 and AAC.

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.sig/" \
http://ftp.daper.net/pub/soft/moc/unstable	moc-(.*)\.tar\.xz	debian	uupdate

## moc 2.6.0~svn-r2984

=== debian/changelog ===
moc (1:2.6.0~svn-r2984-1) unstable; urgency=medium

  * Update to r2984
    - Incooperate upstreams overhaul for the ffmpeg plugin. Makes moc playing
      with FFmpeg 4.0 again. Therefor removed 05_ffmpeg4.patch.
  * Removed Nico Golde from uploaders as he has retired. (Closes: #903257).
  * Reworked 04_playtime_perc.patch as suggested by kirifuda. (Closes: #872954)
  * Bumped debhelper compatibility level to 11
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Mon, 30 Jul 2018 08:08:38 +0200

moc (1:2.6.0~svn-r2949-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Fix FTBFS with FFmpeg 4.0. (Closes: #888353)

 -- James Cowgill <jcowgill@debian.org>  Tue, 17 Jul 2018 11:20:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
-Uploaders: Nico Golde <nion@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.5
 Build-Depends: chrpath,
-               debhelper (>= 10),
+               debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                libasound2-dev [linux-any],
                libaspell-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 
 
@@ -23,4 +23,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -- --warnings=0
-

## moc 2.6.0~svn-r2994

=== debian/changelog ===
moc (1:2.6.0~svn-r2994-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:50:02 +0100

moc (1:2.6.0~svn-r2994-3) unstable; urgency=medium

  * The AX_PATH_BDB_NO_OPTIONS is broken for cross compilation. Pass -P to
    $ac_cpp. Thanks to Helmut Grohne for the patch.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 15 Feb 2019 16:42:04 +0100

moc (1:2.6.0~svn-r2994-2) unstable; urgency=medium

  * Upstream doesn't use a secure URL for source download. Switched back to HTTP
    URL. Use version=4 in watch file.
  * Marked moc-ffmpeg-plugin Multi-Arch: same.
  * Fixed two typos in changelog

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 10 Feb 2019 09:42:04 +0100

moc (1:2.6.0~svn-r2994-1) unstable; urgency=medium

  * New upstream version 2.6.0~svn-r2994.
  * Added debian/gbp.conf
  * debian/control:
    Update Vcs-* headers for move to salsa.debian.org.
    Use HTTPS in Homepage URL.
    Drop Build-Depends on dpkg-dev.
    Declare compliance with Debian Policy 4.3.0. (No changes needed.)
    Bump debhelper compatibility level to 12.
    + Replace debian/compat with a versioned b-d on debhelper-compat.
  * Adjusted debian/copyright to upstreams HTTPS URL.
  * Use HTTPS URL in watch file.
  * Don't list *.la files in dh_missing.
  * Update changelog.svn.
  * Using minimal signing key for upstream source.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 09 Feb 2019 16:19:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Elimar Riesebieter <riesebie@lxtec.de>
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Build-Depends: chrpath,
-               debhelper (>= 11),
-               dpkg-dev (>= 1.16.1~),
+               debhelper-compat (= 12),
                libasound2-dev [linux-any],
                libaspell-dev,
                libavcodec-dev,
@@ -40,10 +39,14 @@
                libwavpack-dev,
                libxml2-dev,
                zlib1g-dev
-Homepage: http://moc.daper.net
+Homepage: https://moc.daper.net
+Vcs-Browser: https://salsa.debian.org/riesebie-guest/moc
+Vcs-Git: https://salsa.debian.org/riesebie-guest/moc.git
+Rules-Requires-Root: no
 
 Package: moc
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: moc-ffmpeg-plugin
 Description: ncurses based console audio player
@@ -61,6 +64,7 @@
 
 Package: moc-ffmpeg-plugin
 Architecture: any
+Multi-Arch: same
 Depends: moc (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: ncurses based console audio player - ffmpeg plugin
  moc (music on console) is a full-screen player designed to be powerful

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 override_dh_install:
 	dh_install -Xkeymap.example -Xconfig.example
 
+override_dh_missing:
+	dh_missing -X.la
+
 override_dh_installdocs:
 	dh_installdocs AUTHORS README THANKS TODO

## moc 2.6.0~svn-r3005

=== debian/changelog ===
moc (1:2.6.0~svn-r3005-8) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Sat, 01 Nov 2025 11:20:13 -0300

moc (1:2.6.0~svn-r3005-7) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/control: Create autopkgtest.

 -- Alfons Andrade <alfons@alunos.utfpr.edu.br>  Fri, 30 May 2025 18:14:54 -0300

moc (1:2.6.0~svn-r3005-6) unstable; urgency=medium

  * QA upload.
  * Rebuild against taglib 2.0.2.
  * debian/control: Use new build-dependency name libtag-c-dev from
    taglib 2.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jan 2025 18:56:00 -0500

moc (1:2.6.0~svn-r3005-5) unstable; urgency=medium

  * Orphan the package. (See #1091830)
  * debian/: Apply wrap-and-sort -abst.
  * debian/control: Update Vcs-* fields to use Salsa Debian group.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Dec 2024 22:19:44 -0500

moc (1:2.6.0~svn-r3005-4) unstable; urgency=medium

  * Take over package maintenance via ITS process. (Closes: #1088885)
  * debian/control: Update build-dep: use libncurses-dev.
  * Merge changes from Ubuntu:

  [ Zixing Liu ]
  * d/p/1000-ffmpeg-7.0.patch: add a patch to fix build with FFmpeg 7
    (Closes: #1072436, #1081666)

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Dec 2024 20:45:11 -0500

moc (1:2.6.0~svn-r3005-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix building with ffmpeg 6.0 (Closes: #1041504)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 13 Sep 2023 11:07:32 +0800

moc (1:2.6.0~svn-r3005-3) unstable; urgency=medium

  * Add patch to allow https URLs. (Closes: #1021886)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 30 Oct 2022 10:27:22 +0100

moc (1:2.6.0~svn-r3005-2) unstable; urgency=medium

  * Introduced patches 0005 to 0007 to fix ffmpeg5 FTBFS. (Closes: 1004595)
  * Declare compliance with Debian Policy 4.6.1 (No changes needed.).
  * Rename configure.in to configure.ac.
  * Extend copyrights.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 25 Jun 2022 16:44:59 +0300

moc (1:2.6.0~svn-r3005-1) unstable; urgency=medium

  * New upstream svn-version
  * debian/control:
    Remove unused libdts-dev build dependency (Closes: 955293).
    Fix VCS-(Browser|Git):.
    Declare compliance with Debian Policy 4.5.0. (No changes needed.).
    Switched to debhelper (= 13).
  * Removed --as-needed linker flag.
    The bullseye toolchain defaults to linking with --as-needed and
    therefore it should no longer be necessary to inject this into the build.
  * Added metadata file
  * Updated changelog.svn and switched to output locale en_US.utf8.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Tue, 28 Jul 2020 22:49:12 +0200

=== debian/control ===
Source: moc
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 chrpath,
 libasound2-dev [linux-any],
 libaspell-dev,
 libavcodec-dev,
 libavformat-dev,
 libcurl4-gnutls-dev,
 libdb-dev,
 libfaad-dev,
 libflac-dev,
 libid3tag0-dev,
 libjack-jackd2-dev,
 libltdl-dev,
 libmad0-dev,
 libmagic-dev,
 libmodplug-dev,
 libmpcdec-dev,
 libncurses-dev,
 libogg-dev,
 libopusfile-dev,
 libpopt-dev,
 librcc-dev,
 libresid-builder-dev,
 libsamplerate0-dev,
 libsidplay2-dev,
 libsidutils-dev,
 libsndfile1-dev,
 libspeex-dev,
 libtag-c-dev,
 libtool,
 libvorbis-dev,
 libwavpack-dev,
 libxml2-dev,
 zlib1g-dev,
Homepage: https://moc.daper.net
Vcs-Browser: https://salsa.debian.org/debian/moc
Vcs-Git: https://salsa.debian.org/debian/moc.git
Rules-Requires-Root: no

Package: moc
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 moc-ffmpeg-plugin,
Description: ncurses based console audio player
 moc (music on console) is a full-screen player designed to be powerful
 and easy to use.
 .
 Supported file formats are: MP3, OGG Vorbis, FLAC, OPUS, WAVE, SPEEX, Musepack
 (MPC), AIFF, AU (and other less popular formats supported by libsndfile).
 New formats support is under development.
 .
 Other features: simple mixer, colour themes, searching the menu (the playlist
 or a directory) like M-s in Midnight Commander, the way MOC creates titles
 from tags is configurable, optional character set conversion for file tags
 using iconv(), OSS or ALSA output.

Package: moc-ffmpeg-plugin
Architecture: any
Multi-Arch: same
Depends:
 moc (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ncurses based console audio player - ffmpeg plugin
 moc (music on console) is a full-screen player designed to be powerful
 and easy to use.
 .
 moc-ffmpeg-plugin is an additional plugin to play soundfiles out of the ffmpeg
 libs like WMA, RealAudio, MP4 and AAC.

=== debian/tests/control ===
Test-Command: mocp -h | grep "^Usage: moc"
Restrictions: needs-root, superficial

=== debian/watch ===
version=4

opts="pgpsigurlmangle=s/$/.sig/" \
http://ftp.daper.net/pub/soft/moc/unstable	moc-(.*)\.tar\.xz
